clear phases, clear PIC, clear matsphase0, clear phasedesvec
disp ('Welcome to DISTPROJ by Pedro F. Quintana-Ascencio and Eric S. Menges, Archbold Biological Station')
disp ('Matlab version by Will Satterthwaite, this segment last modified 6/7/01')
disp (' ')
disp ('You should have already entered all projection matrices, named M1, M2, M3, and so on')
disp ('M1 is the first of one or more matrices describing the year or time period of disturbance')
disp ('Matrices for subsequent phases are numbered following the last matrix number of the previous stage')
disp ('The numbering scheme can not skip numbers')
disp ('There can be many matrices for one time period or year')
space='	';
disp (' ')
phases=input('By default, the disturbance occurs in Phase 0.  How many additional phases does the system have? ');
matsphase0=input('Enter the number of matrices for Phase 0.  (Note:  Phase 0 always has a length of 1 time step.): ');
for PIC=1:phases
	phasedesvec(PIC,1)=PIC;   
	S1=num2str(PIC);
	Next=strcat('For Phase ',space,S1)
	phasedesvec(PIC,2)=input('Number of matrices: ');
	if PIC<phases
		phasedesvec(PIC,3)=input('Length, in time steps: ');
		phasedesvec(PIC,4)=input('Is this an interpolation?  0 = No (default), 1 = Linear decay 2 = Exponential decay ');
	else
		Note='Last phase, duration will be assigned by Distproj.  Cannot be interpolation.'
		phasedesvec(phases,3)=999;
		phasedesvec(phases,4)=0;
	end
	% Assigns all phases to be non-interpolation for which invalid codes were entered
	if phasedesvec(PIC,4)~=1
		if phasedesvec(PIC,4)~=2
			phasedesvec(PIC,4)=0;
		end
	end
end
S1=num2str(matsphase0);
S2='Phase 0 is described by';
S3=' matrices and has a duration of 1 time step.';
Summary=strcat(S2,space,S1,S3)
Table = 'This table gives phase, # of matrices, duration, and interpolation (no/linear/exp)  for subesquent phases.'
phasedesvec
Begin='You may now use distproj.m'
% Clear un-needed variables
clear Begin, clear PIC, clear S1, clear S2, clear S3
